Problem Set API.
(un)Installing packages:

Problem Set API. More...

Collaboration diagram for Problem Set API.:

## Files

file | rpmps.h
| Structures and prototypes used for an "rpmps" problem set.

## Typedefs

typedef struct rpmpsi_s * | rpmpsi
| Problem set iterator. More...

## Functions

rpmps | rpmpsLink (rpmps ps)
| Reference a problem set instance. More...
int | rpmpsNumProblems (rpmps ps)
| Return number of problems in set. More...
rpmpsi | rpmpsInitIterator (rpmps ps)
| Initialize problem set iterator. More...
rpmpsi | rpmpsFreeIterator (rpmpsi psi)
| Destroy problem set iterator. More...
rpmProblem | rpmpsiNext (rpmpsi psi)
| Return next problem from iterator. More...
int | rpmpsNextIterator (rpmpsi psi)
| Return next problem set iterator index. More...
rpmProblem | rpmpsGetProblem (rpmpsi psi)
| Return current problem from problem set. More...
rpmps | rpmpsCreate (void)
| Create a problem set. More...
rpmps | rpmpsFree (rpmps ps)
| Destroy a problem set. More...
void | rpmpsPrint (FILE *fp, rpmps ps)
| Print problems to file handle. More...
void | rpmpsAppendProblem (rpmps ps, rpmProblem prob)
| Append a problem to current set of problems. More...
int | rpmpsMerge (rpmps dest, rpmps src)
| Merge problem set into another. More...

## Detailed Description

Problem Set API.

## Typedef Documentation

## rpmpsi

typedef struct rpmpsi_s* rpmpsi

Problem set iterator.

Definition at line 20 of file rpmps.h.

## Function Documentation

## rpmpsAppendProblem()

void rpmpsAppendProblem | ( | rpmps | ps,
|  | rpmProblem | prob
| ) |  |

Append a problem to current set of problems.

Parameters

  ps | problem set
  prob | rpmProblem

## rpmpsCreate()

rpmps rpmpsCreate | ( | void |  | ) |

Create a problem set.

Returns
  new problem set

## rpmpsFree()

rpmps rpmpsFree | ( | rpmps | ps | ) |

Destroy a problem set.

Parameters

  ps | problem set

Returns
  NULL always

## rpmpsFreeIterator()

rpmpsi rpmpsFreeIterator | ( | rpmpsi | psi | ) |

Destroy problem set iterator.

Parameters

  psi | problem set iterator

Returns
  problem set iterator (NULL)

## rpmpsGetProblem()

rpmProblem rpmpsGetProblem | ( | rpmpsi | psi | ) |

Return current problem from problem set.

Parameters

  psi | problem set iterator

Returns
  current rpmProblem

## rpmpsiNext()

rpmProblem rpmpsiNext | ( | rpmpsi | psi | ) |

Return next problem from iterator.

Parameters

  psi | problem set iterator

Returns
  next problem (weak ref), NULL on termination

## rpmpsInitIterator()

rpmpsi rpmpsInitIterator | ( | rpmps | ps | ) |

Initialize problem set iterator.

Parameters

  ps | problem set

Returns
  problem set iterator

## rpmpsLink()

rpmps rpmpsLink | ( | rpmps | ps | ) |

Reference a problem set instance.

Parameters

  ps | transaction set

Returns
  new transaction set reference

## rpmpsMerge()

int rpmpsMerge | ( | rpmps | dest,
|  | rpmps | src
| ) |  |

Merge problem set into another.

Parameters

  dest | destination problem set
  src | source problem set

Returns
  number of problems merged

## rpmpsNextIterator()

int rpmpsNextIterator | ( | rpmpsi | psi | ) |

Return next problem set iterator index.

Parameters

  psi | problem set iterator

Returns
  iterator index, -1 on termination

## rpmpsNumProblems()

int rpmpsNumProblems | ( | rpmps | ps | ) |

Return number of problems in set.

Parameters

  ps | problem set

Returns
  number of problems

## rpmpsPrint()

void rpmpsPrint | ( | FILE * | fp,
|  | rpmps | ps
| ) |  |

Print problems to file handle.

Parameters

  fp | file handle (NULL uses stderr)
  ps | problem set